cgGLSetMatrixParameterfc(3)

NAME
cgGLSetMatrixParameterfc - set the values of a matrix array parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLSetMatrixParameterfc( CGparameter param,
                                 const float * matrix );

PARAMETERS

param
    The matrix parameter that will be set.

matrix
    An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

RETURN VALUES
None.

DESCRIPTION
cgGLSetMatrixParameterfc sets the value of a matrix parameter from an array of floats laid out in column-major order.

cgGLSetMatrixParameterfc functions may only be called with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

HISTORY
cgGLSetMatrixParameterfc was introduced in Cg 1.1.

SEE ALSO
cgGLGetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetParameter